---
title: "读取公开目录"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/get-agent-catalog"
last_updated: 2026-11-05
---

# 读取公开目录

智能体可以结账的套餐、价格、额度和试用，以及默认付款方式和计费周期。无需 key。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/get-agent-catalog

## `GET /api/agent/catalog`

`https://tweetstream.io/api/agent/catalog`

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `currency` | `enum<string>`, 必填 |  |
| `defaults` | `object`, 必填 |  |
| `defaults.billingCycle` | `enum<string>`, 必填 |  |
| `defaults.paymentRail` | `enum<string>`, 必填 |  |
| `families` | `object`, 必填 |  |
| `families.BASE` | `object`, 必填 |  |
| `families.BASE.plans` | `object[]`, 必填 |  |
| `families.BASE.plans.limits` | `object`, 必填 |  |
| `families.BASE.plans.name` | `string`, 必填 |  |
| `families.BASE.plans.planType` | `enum<string>`, 必填 |  |
| `families.BASE.plans.prices` | `object[]`, 必填 |  |
| `families.BASE.plans.trial` | `object`, 必填 |  |
| `families.BASE.scale` | `object`, 必填 |  |
| `families.BASE.scale.monitoredAccountLimit` | `object`, 必填 |  |
| `families.BASE.scale.name` | `string`, 必填 |  |
| `families.BASE.scale.planType` | `enum<string>`, 必填 |  |
| `families.BASE.scale.websocketLimit` | `object`, 必填 |  |
| `families.INSTAGRAM` | `object`, 必填 |  |
| `families.INSTAGRAM.tiers` | `object[]`, 必填 |  |
| `families.INSTAGRAM.tiers.accountLimit` | `integer`, 必填 | an integer |
| `families.INSTAGRAM.tiers.prices` | `object[]`, 必填 |  |
| `families.INSTAGRAM.tiers.websocketConnections` | `integer`, 必填 | an integer |
| `families.ULTRA` | `object`, 必填 |  |
| `families.ULTRA.accountLimit` | `object`, 必填 |  |
| `families.ULTRA.accountLimit.max` | `integer`, 必填 | an integer |
| `families.ULTRA.accountLimit.min` | `integer`, 必填 | an integer |
| `families.ULTRA.pricesPerAccount` | `object[]`, 必填 |  |
| `families.ULTRA.pricesPerAccount.billingCycle` | `enum<string>`, 必填 |  |
| `families.ULTRA.pricesPerAccount.chargeMinor` | `string`, 必填 |  |
| `families.ULTRA.websocketConnections` | `integer`, 必填 | an integer |
| `paymentRails` | `enum<string>[]`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |

### 200

```json
{
  "currency": "USD",
  "defaults": {
    "billingCycle": "MONTHLY",
    "paymentRail": "CRYPTO"
  },
  "families": {
    "BASE": {
      "plans": [
        {
          "limits": {
            "monitoredAccounts": 123,
            "websocketConnections": 123
          },
          "name": "<string>",
          "planType": "BASIC",
          "prices": [
            {
              "billingCycle": "MONTHLY",
              "chargeMinor": "<string>"
            }
          ],
          "trial": {
            "days": 123,
            "monitoredAccounts": 123,
            "websocketConnections": 123
          }
        }
      ],
      "scale": {
        "monitoredAccountLimit": {
          "max": 123,
          "min": 123,
          "step": 123
        },
        "name": "<string>",
        "planType": "ENTERPRISE",
        "websocketLimit": {
          "max": 123,
          "min": 123
        }
      }
    },
    "INSTAGRAM": {
      "tiers": [
        {
          "accountLimit": 123,
          "prices": [
            {
              "billingCycle": "MONTHLY",
              "chargeMinor": "<string>"
            }
          ],
          "websocketConnections": 123
        }
      ]
    },
    "ULTRA": {
      "accountLimit": {
        "max": 123,
        "min": 123
      },
      "pricesPerAccount": [
        {
          "billingCycle": "MONTHLY",
          "chargeMinor": "<string>"
        }
      ],
      "websocketConnections": 123
    }
  },
  "paymentRails": [
    "CRYPTO"
  ]
}
```

## 代码示例

### cURL

```bash
curl --request GET \
  --url https://tweetstream.io/api/agent/catalog
```

### JavaScript

```javascript
const response = await fetch("https://tweetstream.io/api/agent/catalog", {
  method: "GET",
});

console.log(response.status, await response.json());
```

### Python

```python
import requests

response = requests.get(
    "https://tweetstream.io/api/agent/catalog",
)

print(response.status_code, response.json())
```
